'use strict';

var _utils = require('./utils');

var _template = require('./template.manager');

/**
 * @license
 * Copyright Opensoft. All Rights Reserved.
 *
 * Use of this source code is governed by an Apache 2 license that can be
 * found in the LICENSE file at https://bitbucket.org/opensoftgitrepo/lightweightform/src/develop/LICENSE
 */
module.exports = {
  createCommonJsPackageJson: function createCommonJsPackageJson(rootDir, artifactId) {
    (0, _utils.writeFile)(rootDir + '/common-js/package.json', (0, _template.loadCommonJsNpm)({
      artifactId: artifactId
    }));
  }
};