'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }(); /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * @license
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * Copyright Opensoft. All Rights Reserved.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * Use of this source code is governed by an Apache 2 license that can be
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * found in the LICENSE file at https://bitbucket.org/opensoftgitrepo/lightweightform/src/develop/LICENSE
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      */


var _utils = require('./utils');

var _template = require('./template.manager');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var ValidatorManager = function () {
  function ValidatorManager() {
    _classCallCheck(this, ValidatorManager);
  }

  _createClass(ValidatorManager, [{
    key: 'createValidationMessages',
    value: function createValidationMessages(directory, packageName, name) {
      var className = (0, _utils.camelcase)(name) + 'ValidationMessages';
      var context = {
        package: packageName,
        className: className
      };
      _utils.logger.debug('adding ' + context.className + '...');
      (0, _utils.writeFile)(directory + '/' + className + '.kt', (0, _template.loadValidationMessages)(context));
    }
  }]);

  return ValidatorManager;
}();

module.exports = {
  processValidator: function processValidator(rootDirectory, options) {
    var commonPackageRootDirectory = '' + rootDirectory + options.groupid.replace(/\./g, '/');
    (0, _utils.createDirectory)(commonPackageRootDirectory + '/validator');
    new ValidatorManager().createValidationMessages(commonPackageRootDirectory + '/validator', options.groupid + '.validator', options.artifactid);
  }
};